Bug 827898 - regression: emacs fails on previously working ~/.emacs resp. stucks when parsing it
regression: emacs fails on previously working ~/.emacs resp. stucks when pars...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
17
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Petr Hracek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-03 10:50 EDT by Enrico Scholz
Modified: 2013-05-29 12:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 12:37:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reduced ~/.emacs file (1.32 KB, application/octet-stream)
2012-06-03 10:50 EDT, Enrico Scholz
no flags Details

  None (edit)
Description Enrico Scholz 2012-06-03 10:50:39 EDT
Created attachment 588882 [details]
reduced ~/.emacs file

Description of problem:

emacs 24 fails with obscure errors to parse a previously working ~/.emacs. When shifting around/disabling code, the startup stucks.

Things worked fine with emacs 23 from F16.

Details:

The

| Warning (initialization): An error occurred while loading `/home/ensc/.emacs':
| File error: Cannot open load file, gpl

error can be avoided by removing/shifting the first line of the file -- this is a comment (!) with an emacs mode string. But then, startup stucks in an infinite loop (?).


Version-Release number of selected component (if applicable):

emacs-24.0.95-1.fc17.x86_64


How reproducible:

100%


Steps to Reproduce:
1. emacs -q
2. M-x load-file ~/.emacs
Comment 1 Fedora Admin XMLRPC Client 2013-02-27 10:47:43 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Petr Hracek 2013-05-28 08:36:42 EDT
I asked the upstream what can be wrong with your .emacs file
http://emacs.1067599.n5.nabble.com/bug-14483-Problem-with-loading-emacs-file-td287047.html

and could you please add
(setq debug-on-quit t) 
so that we can analyze it?
By the way you are using Xemacs?

What do you have in your .emacs-config/lisp directory?
Comment 3 Enrico Scholz 2013-05-29 12:37:30 EDT
sorry, I forgot about this bug and do not see it anymore with recent emacs-24.3-9.2.fc18x.x86_64

Note You need to log in before you can comment on or make changes to this bug.